package com.engine.salary.formlua.entity.standard.execute;

/**
 * 固定字段标准类
 */
public class ExclFixField {
    /**
     * 固定字段或系统字段的类属性名
     */
    private String properName;
    /**
     * 数据类型
     */
    private ExclDataType exclDataType;
    /**
     * 固定字段或系统字段的值
     */
    private Object value;
    /**
     * 所属来源数据的ID
     */
    private String sourceId;
    /**
     * 所属模块
     */
    private String module;

    public String getProperName() {
        return properName;
    }

    public void setProperName(String properName) {
        this.properName = properName;
    }

    public ExclDataType getExclDataType() {
        return exclDataType;
    }

    public void setExclDataType(ExclDataType exclDataType) {
        this.exclDataType = exclDataType;
    }

    public Object getValue() {
        return value;
    }

    public void setValue(Object value) {
        this.value = value;
    }

    public String getSourceId() {
        return sourceId;
    }

    public void setSourceId(String sourceId) {
        this.sourceId = sourceId;
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }
}
